Subject: Re: .git as file pointing to directory?

From: Matthieu Moy <[email-masked]>
Date: Thu, 04 Nov 2010 23:14:15 +0100

Jens Lehmann <[email-masked]> writes:

> Am 04.11.2010 19:32, schrieb Matthieu Moy:
>> Brad Larson <[email-masked]> writes:
>> 
>>> Sorry if this is obvious, I can't figure out what term to search for.
>>>
>>> At gittogether there was some talk about having .git be a file, not a
>>> folder, with contents pointing to the real .git directory.  Similar to
>>> a symlink, but supported in Windows.  Is there a specific name for
>>> this feature?  Where can I find more details?  Which version of git
>>> introduced this?
>> 
>> It has been discussed under the name "gitlink", which was
>> unfortunately also used for something else in the subtree
>> implementation, but AFAIK, it has never been implemented.
>
> Hmm, AFAIK gitlinks are already in heavy use for submodule entries ...

Err, isn't that precisely what I was saying? The same word has been
used in the subtree implementation, but the other concept with the
same name hasn't been implemented.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/